import { setupDirective } from './directive/index'
import HcMenuIcon from './menu-icon/menu-icon.vue'
import HcIconInput from './icon-input/icon-input.vue'
import HcDateYear from './date-year/date-year.vue'
import HcInfoTable from './info-table/info-table.vue'
import HcInfoTableTd from './info-table/info-table-td.vue'
import HcDropdown from './dropdown/dropdown.vue'

//注册全局组件
export const setupComponents = (App) => {
    //自定义指令
    setupDirective(App)

    //自定义组件
    App.component('HcMenuIcon', HcMenuIcon)
    App.component('HcIconInput', HcIconInput)
    App.component('HcDateYear', HcDateYear)
    App.component('HcInfoTable', HcInfoTable)
    App.component('HcInfoTableTd', HcInfoTableTd)
    App.component('HcDropdown', HcDropdown)
}
